petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatLRCGetMats

Returns the constituents of an LRC matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatLRCGetMats(Mat N,Mat *A,Mat *U,Vec *c,Mat *V)

Collective on Mat

### Input Parameter

N -matrix of type LRC

### Output Parameters

| A | - the (sparse) matrix
| U, V | - two dense rectangular (tall and skinny) matrices
| c | - a sequential vector containing the diagonal of C

### Note

The returned matrices need not be destroyed by the caller.

### See Also

MatCreateLRC()

### Level

intermediate

### Location

src/mat/impls/lrc/lrc.c

### Implementations

MatLRCGetMats_LRC in src/mat/impls/lrc/lrc.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages